Skip to main content
GET
/
v1
/
sso_connections
/
{connectionId}
/
mappings
Get SSO Connection Mappings
curl --request GET \
  --url https://api.us.lexful.app/v1/sso_connections/{connectionId}/mappings \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-ID: <api-key>'
{
  "default_role": "<string>",
  "default_organization_scopes": [
    "<string>"
  ],
  "role_mapping": {
    "attribute_name": "<string>",
    "mappings": [
      {
        "idp_value": "<string>",
        "role": "admin"
      }
    ]
  },
  "group_mapping": {
    "attribute_name": "<string>",
    "mappings": [
      {
        "idp_value": "<string>",
        "group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

connectionId
string
required

SSO connection ID

Response

Default Response

default_role
string

Default role assigned to users provisioned via this SSO connection

default_organization_scopes
string[]

Default organization scopes for SSO users. Use ["*"] for all organizations.

role_mapping
object

Map IDP attribute values to internal roles (first match wins)

group_mapping
object

Map IDP attribute values to internal groups (all matches)